[arch-commits] Commit in trapproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat May 2 22:21:53 EDT 2009


    Date: Saturday, May 2, 2009 @ 22:21:53
  Author: eric
Revision: 37566

upgpkg: trapproto 3.4.3-2
    Added license

Modified:
  trapproto/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-03 02:20:10 UTC (rev 37565)
+++ PKGBUILD	2009-05-03 02:21:53 UTC (rev 37566)
@@ -3,17 +3,19 @@
 
 pkgname=trapproto
 pkgver=3.4.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Trap extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-source=(http://xorg.freedesktop.org/releases/individual/proto/${pkgname}-$pkgver.tar.bz2)
+license=('custom')
+source=(http://xorg.freedesktop.org/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('3b713239e5e6b269b31cb665563358df')
 sha1sums=('b108aa39a7bfde530d5cd347fda7c58770d5b8da')
 
 build() {
-  cd $startdir/src/${pkgname}-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list